Bug 996030 - Lazy instantiation exception when querying activity server via REST API
Lazy instantiation exception when querying activity server via REST API
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: RT Governance (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity unspecified
: ER1
: ---
Assigned To: Gary Brown
Jiri Pechanec
:
Depends On:
Blocks: 996417
  Show dependency treegraph
 
Reported: 2013-08-12 05:08 EDT by Gary Brown
Modified: 2014-07-02 05:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker RTGOV-245 Major Closed Querying activity via REST API results in hibernate lazy instantiation exception 2014-07-02 05:19:21 EDT

  None (edit)
Description Gary Brown 2013-08-12 05:08:32 EDT
Description of problem:
When querying activity events through the Activity Server REST API, using a REST client, the server throws a lazy instantiation exception in hibernate when trying to construct the JSON representation of the activity events.

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. Execute a business transaction to create some activity events in the server.
2. POST the following message to: http://localhost:8080/overlord-rtgov/activity/query with basic auth credentials of user: admin password: overlord

{
  "format" : "jpql",
  "expression" : "SELECT at FROM ActivityType at"
}

Actual results:
Exception

Expected results:
List of activity events

Additional info:
Comment 1 JBoss JIRA Server 2013-08-12 05:24:16 EDT
Gary Brown <gary@brownuk.com> updated the status of jira RTGOV-245 to Resolved
Comment 2 Jiri Pechanec 2013-09-17 08:12:30 EDT
Verified in ER2
Comment 6 JBoss JIRA Server 2014-07-02 05:19:22 EDT
Gary Brown <gary@brownuk.com> updated the status of jira RTGOV-245 to Closed

Note You need to log in before you can comment on or make changes to this bug.